Overview
=========

AlphaD3M is an AutoML library that automatically searches for models and derives end-to-end pipelines that read,
pre-process the data, and train the model. AlphaD3M leverages recent advances in deep reinforcement learning and is
able to adapt to different application domains and problems through incremental learning.

AlphaD3M provides data scientists and data engineers the flexibility to address complex problems by leveraging the
Python ecosystem, including open-source libraries and tools, support for collaboration, and infrastructure that enables
transparency and reproducibility.

You can find the source code in our `GitLab repository <https://gitlab.com/ViDA-NYU/d3m/alphad3m>`__.

.. |AlphaD3M| image:: https://gitlab.com/ViDA-NYU/d3m/alphad3m/-/raw/devel/AlphaD3M_logo.png
                :width: 120

.. toctree::
   :maxdepth: 2
   :caption: Contents:

   how-works
   installation
   getting-started
   how-to
   examples
   api
